CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [options] [path to library folder...]

Start the calibre Content server. The calibre Content server exposes your calibre libraries over the internet. You can specify the path to the library folders as arguments to calibre-server. If you do not specify any paths, all the libraries that the main calibre program knows about will be used.

Whenever you pass arguments to calibre-server that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPCJE]

--access-log
    Ścieżka do pliku dziennika dostępu. Ten dziennik zawiera informacje o klientach łączących się z serwerem i wysyłających żądania. Domyślnie rejestrowanie dostępu nie jest wykonywane.

--ajax-timeout
    Time (in seconds) to wait for a response from the server when making queries.

--auth-mode
    Wybierz rodzaj używanego uwierzytelnienia. Set the HTTP authentication mode used by the server. Set to "basic" if you are putting this server behind an SSL proxy. Otherwise, leave it as "auto", which will use "basic" if SSL is configured otherwise it will use "digest".

--auto-reload
    Automatycznie przeładuj serwer, gdy zmieni się kod źródłowy. Przydatny do rozwoju. Należy również podać niewielką wartość limitu czasu wyłączenia.

--ban-after
    Liczba nieudanych logowań powodująca blokadę. Liczba nieudanych logowań, po których adres IP jest blokowany

--ban-for
    Blokuj adresy IP, z których dokonano wielokrotnych nieudanych logowań. Tymczasowo blokuje dostęp dla adresów IP, z których dokonano wielokrotnych nieudanych logowań przez określoną liczbę minut. Opcja przydatna, aby zablokować próby odgadnięcia haseł. Jeśli ustawiona jest na zero, blokada nie będzie działała.

--book-list-mode
    Wybierz domyślny tryb wyświetlania książek. Ustaw domyślny tryb listy książek, który będzie używany dla nowych użytkowników. Poszczególni użytkownicy mogą zastąpić ustawienia domyślne we własnych ustawieniach. Domyślnie jest używana siatka okładki.

--compress-min-size
    Minimalny rozmiar, dla którego odpowiedzi wykorzystują kompresję danych (w bajtach).

--custom-list-template
    Ścieżka do pliku JSON, zawierającego szablon dla własnego wyglądu listy książek. Najłatwiejszym sposobem na utworzenie takiego pliku szablonu jest przejście do Ustawienia-> Współdzielenie poprzez sieć-> Szablon listy książek w calibre, utworzenie szablonu i wyeksportowanie go..

--daemonize
    Uruchom proces w tle jako daemon (tylko Linux).

--displayed-fields
    Ogranicz wyświetlane pól zdefiniowanych przez użytkownika. Comma separated list of user-defined metadata fields that will be displayed by the Content server in the /opds and /mobile views. If you specify this option, any fields not in this list will not be displayed. For example: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket pre-allocation, for example, with systemd socket activation. Domyślnie ta opcja jest włączona.

--enable-auth, --disable-auth
    Uwierzytelnianie na podstawie hasła w celu uzyskania dostępu do serwera. Domyślnie serwer daje każdemu nieograniczony dostęp. Za pomocą tej opcji można ograniczyć dostęp tylko do wstępnie zdefiniowanych użytkowników. Domyślnie ta opcja jest wyłączona.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Powrót do automatycznie wykrywanego interfejsu. If for some reason the server is unable to bind to the interface specified in the listen_on option, then it will try to detect an interface that connects to the outside world and bind to that. Domyślnie ta opcja jest włączona.

--enable-local-write, --disable-local-write
    Zezwalaj nieuwierzytelnionym połączeniom lokalnym na wprowadzanie zmian. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the same computer as the server is running on to make changes. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means any program running on the computer can make changes to your calibre libraries. Domyślnie ta opcja jest wyłączona.

--enable-log-not-found, --disable-log-not-found
    Zapisuj do dziennika żądania HTTP 404 (Nie znaleziono). Domyślnie serwer zapisuje do dziennika wszystkie żądania HTTP do zasobów, które nie zostały znalezione. Może to powodować generowanie wielu śmieciowych wpisów do dziennika, zwłaszcza jeśli twój serwer stanie się celem botów. Użyj tej opcji, aby wyłączyć zapis tych żądań do dziennika. Domyślnie ta opcja jest włączona.

--enable-use-bonjour, --disable-use-bonjour
    Reklamuj kanały OPDS przez BonJour. Advertise the OPDS feeds via the BonJour service, so that OPDS based reading apps can detect and connect to the server automatically. Domyślnie ta opcja jest włączona.

--enable-use-sendfile, --disable-use-sendfile
    Przesyłanie plików bez kopiowania w celu zwiększenia wydajności. This will use zero-copy in-kernel transfers when sending files over the network, increasing performance. However, it can cause corrupted file transfers on some broken filesystems. If you experience corrupted file transfers, turn it off. Domyślnie ta opcja jest włączona.

--help, -h
    Wyświetla ten tekst pomocy i kończy działanie

--ignored-fields
    Ignorowane pola metadanych. Oddzielona przecinkami lista zdefiniowanych przez użytkownika pól metadanych, które nie będą wyświetlane przez serwer zawartości w widokach /opds i /mobile. Na przykład: my_rating,my_tags

--listen-on
    Interfejs, na którym będziemy nasłuchiwać połączeń. Domyślnie serwer nasłuchuje na wszystkich interfejsach. Możesz to zmienić, na przykład na "127.0.0.1", aby zaakceptować tylko połączenia z lokalnego komputera lub na "::", aby zaakceptować wszystkie przychodzące połączenia IPv4 i IPv6.

--log
    Ścieżka do pliku dziennika dla dziennika serwera. Ten dziennik zawiera informacje o serwerze i błędy, a nie dzienniki dostępu. Domyślnie jest zapisywany na standardowe wyjście.

--manage-users
    Zarządzaj bazą danych użytkowników, którzy mogą łączyć się z tym serwerem. Zobacz także opcję --userdb.

--max-header-line-size
    Max. rozmiar pojedynczego nagłówka HTTP (w KB).

--max-job-time
    Maksymalny czas na procesy robocze. Maximum amount of time worker processes are allowed to run (in minutes). Set to zero for no limit.

--max-jobs
    Maksymalna liczba procesów roboczych. Worker processes are launched as needed and used for large jobs such as preparing a book for viewing, adding books, converting, etc. Normally, the max. number of such processes is based on the number of CPU cores. You can control it by this setting.

--max-log-size
    Maks. rozmiar pliku dziennika (w MB). The maximum size of log files, generated by the server. When the log becomes larger than this size, it is automatically rotated. Set to zero to disable log rotation.

--max-opds-items
    Maksymalna liczba książek w kanałach OPDS. The maximum number of books that the server will return in a single OPDS acquisition feed.

--max-opds-ungrouped-items
    Maksymalna liczba niepogrupowanych elementów w kanałach OPDS. Grupuj elementy w kategorie takie jak autor/etykiety po pierwszej literze gdy zaistnieje więcej niż podana liczba elementów. Ustaw na zero aby wyłączyć.

--max-request-body-size
    Max. dozwolony rozmiar plików przesłanych na serwer (w MB).

--num-per-page
    Liczba książek wyświetlanych na pojedynczej stronie. Liczba książek wyświetlanych na pojedynczej stronie w przeglądarce.

--pidfile
    Zapisz identyfikator procesu do określonego pliku

--port
    Port, na którym będziemy nasłuchiwać połączeń.

--search-the-net-urls
    Path to a JSON file containing URLs for the "Search the internet" feature. The easiest way to create such a file is to go to Preferences-> Sharing over the net->Search the internet in calibre, create the URLs and export them.

--shutdown-timeout
    Całkowity czas w sekundach oczekiwania na pełne wyłączenie.

--ssl-certfile
    Ścieżka do pliku z certyfikatem SSL.

--ssl-keyfile
    Ścieżka do pliku z kluczem prywatnym SSL.

--timeout
    Czas (w sekundach), po którym bezczynne połączenie zostanie zamknięte.

--url-prefix
    Prefiks poprzedzający wszystkie adresy URL. Useful if you wish to run this server behind a reverse proxy. For example use, /calibre as the URL prefix.

--userdb
    Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: https://manual.calibre-ebook.com/server.html#managing-user-accounts-from-the-command-line-only

--version
    Wyświetla wersję programu i kończy działanie

--worker-count
    Liczba wątków roboczych używanych do przetwarzania żądań.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal